Base URL
https://api.venuerun.com/merchants/:merchantId/customers
Customers
Customers define the people who order from your venue.
This doc was generated by our interal API tester at:
November 11, 2024 at 2:00:27 AM
Endpoints
GET /merchants/:merchantId/customers
GET /merchants/:merchantId/customers/:customerId
POST /merchants/:merchantId/products
POST /merchants/:merchantId/customers/:customerId
DELETE /merchants/:merchantId/customers/:customerId
The Customers Object
Properties
- Name
id- Type
- string read-only
- Description
- The id of the coupon
- Name
firstName- Type
- string
- Description
- The first name of the customer
- Name
lastName- Type
- string
- Description
- The last name of the customer
- Name
email- Type
- string
- Description
- The email of the customer
- Name
phone- Type
- string
- Description
- The phone number of the customer
- Name
createdAt- Type
- string read-only
- Description
- The date the customer was created
- Name
updatedAt- Type
- string read-only
- Description
- The date the customer was updated
The Customers Object
{
"createdAt": 1731312024,
"email": "",
"firstName": "Jane",
"id": "kPo7qWqzK55v3ZrCzeyX",
"lastName": "",
"phone": "",
"testMode": true,
"updatedAt": 1731312024
}
POST/merchants/:merchantId/customers
Create a Customers
This endpoint allows you to create a Customers
Required attributes
- Name
firstName- Type
- string
- Description
- The first name of the customer
- Name
lastName- Type
- string
- Description
- The last name of the customer
Optional attributes
- Name
id- Type
- string read-only
- Description
- The id of the coupon
- Name
email- Type
- string
- Description
- The email of the customer
- Name
phone- Type
- string
- Description
- The phone number of the customer
- Name
createdAt- Type
- string read-only
- Description
- The date the customer was created
- Name
updatedAt- Type
- string read-only
- Description
- The date the customer was updated
Request
POST
/merchants/:merchantsId/customersconst customers = await VenueRun.customers.create({
firstName: "John",
lastName: "Doe",
email: "test@example.com",
phone: ""
});
POST/merchants/:merchantId/customers/:customerId
Update a customers
This endpoint allows you to update a Customers
Required parameters
- Name
id- Type
- string
- Description
id of the customers
Optional attributes
- Name
id- Type
- string read-only
- Description
- The id of the coupon
- Name
email- Type
- string
- Description
- The email of the customer
- Name
phone- Type
- string
- Description
- The phone number of the customer
- Name
createdAt- Type
- string read-only
- Description
- The date the customer was created
- Name
updatedAt- Type
- string read-only
- Description
- The date the customer was updated
Request
POST
/merchants/:merchantsId/customers/customerIdawait VenueRun.customers.update(customerId, {
firstName: "Jane"
});
Response
{
"createdAt": 1731312024,
"email": "",
"firstName": "Jane",
"id": "kPo7qWqzK55v3ZrCzeyX",
"lastName": "",
"phone": "",
"testMode": true,
"updatedAt": 1731312024
}
GET/merchants/:merchantId/customers/:customerId
Retrive a Customers
This endpoint allows you to retrieve a Customers
Required parameters
- Name
id- Type
- string
- Description
id of the Customers
Request
GET
/merchants/:merchantsId/customers/:customerIdconst product = await VenueRun.customers.retrieve(product.id);
Response
{
"createdAt": 1731312024,
"email": "",
"firstName": "Jane",
"id": "kPo7qWqzK55v3ZrCzeyX",
"lastName": "",
"phone": "",
"testMode": true,
"updatedAt": 1731312024
}
DELETE/merchants/:merchantId/customers/:customerId
Delete a customers
This endpoint allows you to delete a Customers
Required parameters
- Name
id- Type
- string
- Description
id of the product
Request
POST
/merchants/:merchantsId/customers/:customerIdawait VenueRun.customers.delete(customerId);
Response
{
"id": "kPo7qWqzK55v3ZrCzeyX",
"object": {
"createdAt": 1731312024,
"email": "",
"firstName": "Jane",
"id": "kPo7qWqzK55v3ZrCzeyX",
"lastName": "",
"phone": "",
"testMode": true,
"updatedAt": 1731312024
},
"message": "Customer deleted",
"deleted": true
}
GET/merchants/:merchantId/customers
Get all Customers
This endpoint allows you to list all Customers
Request
POST
/merchants/:merchantsId/customersawait VenueRun.customers.list()

